Bug 855497 - supybot-botchk doesn't work
supybot-botchk doesn't work
Status: CLOSED EOL
Product: Fedora EPEL
Classification: Fedora
Component: supybot (Show other bugs)
el5
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ricky Zhou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-08 03:21 EDT by Remi Collet
Modified: 2017-04-06 06:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-06 06:06:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2012-09-08 03:21:49 EDT
Description of problem:
supybot-botchk always launch "supybot", even if already running

Version-Release number of selected component (if applicable):
supybot-0.83.3-8.el5

How reproducible:
Always

Steps to Reproduce:
1. supybot-botchk --conffile=bot.conf --botdir=$HOME --pidfile=bot.pid --verbose
2. supybot-botchk --conffile=bot.conf --botdir=$HOME --pidfile=bot.pid --verbose

  
Actual results:
Bot not found, starting.


Expected results:
Bot not started.

Additional info:
bot.pid is created but is empty.
Comment 1 Remi Collet 2012-09-08 04:06:29 EDT
In fact, adding in bot.conf 
supybot.pidFile: bot.pid

Make things work.

Probably it will be great if supybot-botchk take pid file name from config file...
Comment 2 Fedora End Of Life 2017-04-06 06:06:18 EDT
Fedora EPEL 5 changed to end-of-life (EOL) status on 2017-03-31. Fedora EPEL 5
is no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora
or Fedora EPEL, please feel free to reopen this bug against that version. If
you are unable to reopen this bug, please file a new report against the current
release. If you experience problems, please add a comment to this bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.